/* GTK routines for OCHRE
 *
 * Written by Ken Witherow <phantoml@frontiernet.net>
 *
 * This code is copylefted, see the included "COPYING" file for details
 * No warranty. Use at your own risk
 * 
 */

#include <ochregtk.h>

/* Destroy window */
extern void destroy( GtkWidget *widget, gpointer data )
{
	gtk_main_quit();
}

/* Kill window */
extern gint delete_event( GtkWidget *widget, GdkEvent *event, gpointer data )
{
  	return( FALSE );
 }

/* closes the window specified by popupwin */
extern void closepopup( GtkWidget *widget, GtkWidget *popupwin )
{
    gtk_widget_hide_all( popupwin );
}

/* opens the window popupwin */
extern void openpopup( GtkWidget *widget, GtkWidget *popupwin )
{
    gtk_widget_show_all( popupwin );
}